suite := AtsMec_DeviceApplicationInterface

sources := \
    AtsMec_DeviceApplicationInterfaceAPI_TestCases.ttcn \
    AtsMec_DeviceApplicationInterfaceAPI_TestControl.ttcn

modules :=  ../LibCommon \
            ../../titan-test-system-framework/ttcn/LibHelpers \
            ../../titan-test-system-framework/ttcn/LibHttp  \
            ../../titan-test-system-framework/ttcn/LibXsd \
            ../../titan-test-system-framework/ttcn/LibJson  \
            ../patch_lib_http \
            ../LibMec \
            ../LibMec/LocationAPI \
            ../LibMec/EdgePlatformApplicationEnablementAPI \
            ../LibMec/ApplicationPackageLifecycleAndOperationGrantingAPI \
            ../LibMec/TrafficManagementAPI \
            ../LibMec/UEAppInterfaceAPI \
            ../LibMec/UEidentityAPI \
            ../LibMec/V2XInformationServiceAPI \
            ../LibMec/DeviceApplicationInterfaceAPI \
            ../LibMec/WlanInformationAPI \
            ../LibMec/FixedAccessInformationServiceAPI \
            ../LibMec/ApplicationMobilityServiceAPI \
            ../LibMec/FederationEnablementAPI \
            ../LibMec/IoTAPI \
            ../../titan-test-system-framework/ccsrc/Framework \
            ../../titan-test-system-framework/ccsrc/loggers \
            ../../titan-test-system-framework/ccsrc/Protocols/Http \
            ../../titan-test-system-framework/ccsrc/Protocols/Tcp \
            ../../titan-test-system-framework/ccsrc/Protocols/Xml \
            ../../titan-test-system-framework/ccsrc/Helpers \
            ../../ccsrc/Ports/LibHttp \
            ../../ccsrc/EncDec/LibMec \
            ../../ccsrc/externals \
            ../../ccsrc/Protocols/Http \
            ../../ccsrc/Protocols/Json \
            ../modules/titan.TestPorts.Common_Components.Abstract_Socket \

