#!/bin/bash
set -exo pipefail

cd "$(dirname ${BASH_SOURCE})"

PWD=`pwd`/../..
docker run --rm -it \
        -w $PWD \
        -e GEN_DIR=$PWD \
        -p 0.0.0.0:443:443 \
        -u "$(id -u):$(id -g)" \
        -v "${PWD}:$PWD" \
        --entrypoint $PWD/virtualization/docker/docker-entrypoint.sh \
        alpine-mec:latest "$@"
