#pragma once

#include "http_codec.hh"

#include "LibHttp_MessageBodyTypes.hh"

class http_codec_mec : public http_codec {

public:
  explicit http_codec_mec() : http_codec(){};
  virtual ~http_codec_mec(){};

protected: //! \protectedsection
  bool encode_body_json(const LibHttp__JsonMessageBodyTypes::JsonBody &p_json_body, OCTETSTRING &p_encoding_buffer, const std::string &p_content_type);
  bool decode_body_json(const OCTETSTRING &p_data, LibHttp__JsonMessageBodyTypes::JsonBody &p_json_body, const std::string &p_content_type, params* p_params);
};